#-----------------------------------------------------------------------------
#
# GROKConfig.cmake - CMake configuration file for external projects.
#
# This file is configured by GROK and used by the UseGROK.cmake
# module to load GROK's settings for an external project.

# The GROK version number.
set(GROK_MAJOR_VERSION "7")
set(GROK_MINOR_VERSION "6")
set(GROK_BUILD_VERSION "6")

# The libraries.
set(GROK_LIBRARIES "grokj2k")

# The CMake macros dir.
set(GROK_CMAKE_DIR "lib/powerpc64le-linux-gnu/cmake/grok-7.6")

# The configuration options.
set(GROK_BUILD_SHARED_LIBS "ON")

# The "use" file.
set(GROK_USE_FILE "")

get_filename_component(SELF_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH)
if(EXISTS ${SELF_DIR}/GrokTargets.cmake)
  # This is an install tree
  include(${SELF_DIR}/GrokTargets.cmake)
  get_filename_component(GROK_INCLUDE_ROOT "${SELF_DIR}/../../../include" ABSOLUTE)
  set(GROK_INCLUDE_DIRS ${GROK_INCLUDE_ROOT})

else()
  if(EXISTS ${SELF_DIR}/GrokExports.cmake)
    # This is a build tree
    set( GROK_INCLUDE_DIRS )

    include(${SELF_DIR}/GrokExports.cmake)

  else()
    message(FATAL_ERROR "ooops")
  endif()
endif()

set(GROK_USE_FILE ${SELF_DIR}/UseGROK.cmake)

# Backward compatible part:
set(GROK_FOUND       TRUE)

